
module LED_test(

        //clk / rst
		input clk,
		input rst_n,

        //LED
		output[3:0] led

);

reg[31:0]         clk_cnt;
reg[3:0]          led;

//LED灯测试

//50MHz时计时1秒
always @(posedge clk)
begin
  if(~rst_n)
    clk_cnt <= 0;
  else if(clk_cnt < 50000001)
    clk_cnt <= clk_cnt + 1;
  else
    clk_cnt <= 0;
end

//50MHz时亮一秒，灭一秒。
always @(posedge clk)
begin
  if(~rst_n)
    led[0] <= 1'b0;
  else if(clk_cnt > 50000000)
    led[0] <= ~led[0];
end  

//50MHz时亮一秒，灭一秒。
always @(posedge clk)
begin
  if(~rst_n)
    led[1] <= 1'b0;
  else if(clk_cnt > 50000000)
    led[1] <= ~led[1];
end  

//50MHz时亮一秒，灭一秒。
always @(posedge clk)
begin
  if(~rst_n)
    led[2] <= 1'b0;
  else if(clk_cnt > 50000000)
    led[2] <= ~led[2];
end  

//50MHz时亮一秒，灭一秒。
always @(posedge clk)
begin
  if(~rst_n)
    led[3] <= 1'b0;
  else if(clk_cnt > 50000000)
    led[3] <= ~led[3];
end  


endmodule
